// SPDX-License-Identifier: MPL-2.0
#include "../include/layouts/layout_registry.h"
#include <Uefi.h>
#include <Library/BaseMemoryLib.h>
#include <Library/UefiBootServicesTableLib.h>
#include <Library/UefiLib.h>
#include <Library/BaseLib.h>
CHAR16 **bp_layout_get_layout_list() {
  return layout_list;
}
UINTN bp_layout_get_layout_count() {
  return layout_count;
}
CHAR16 bp_layout_convert_char(CHAR16 source,UINTN layout_index) {
  bp_layout_CONV_TABLE *layout_conversion=layout_conversions_table[layout_index];
  for (UINTN i=0;i<layout_conversion->conv_count;i++) {
    if (layout_conversion->conv_table[i].char_source==source) {
      return layout_conversion->conv_table[i].char_dest;
    }
  }
  return source;
}
